> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enkryptai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# v2 Models List

> Retrieves a list of all the models



## OpenAPI

````yaml GET /leaderboard/v2/models-list
openapi: 3.0.0
info:
  title: Enkrypt AI APIs
  version: 2.0.0
servers:
  - url: https://api.enkryptai.com
security:
  - apiKeyAuth: []
tags:
  - name: Guardrails
  - name: Code of Conduct
  - name: Endpoints
  - name: Datasets
  - name: Redteam
  - name: Deployments
  - name: AI Proxy
  - name: Leaderboard
  - name: Archived
  - name: MCP Hub
    description: >-
      MCP Hub vulnerability scanning APIs. Submitting scans (the POST endpoints)
      is open to all authenticated callers. The scan **retrieval** APIs — Get
      Scan Job Status, Get Complete Scan Results, List Scans, and Get MCP Hub
      Scan Statistics (the GET endpoints) — are an **enterprise data-license
      feature**: they require your organization to have MCP Hub API access
      enabled by Enkrypt, otherwise they return `403`. Contact us at
      support@enkryptai.com to enable access.
  - name: MCP Registry Servers
  - name: MCP Gateways
  - name: MCP Playground
paths:
  /leaderboard/v2/models-list:
    get:
      tags:
        - Leaderboard
      summary: v2 Models List
      description: Retrieves a list of all the models
      operationId: leaderboard_v2_models_list_get
      responses:
        '200':
          description: A list of models
          content:
            application/json:
              schema:
                title: LeaderboardModelsList
                type: object
                properties:
                  status:
                    title: LeaderboardModelsListStatus
                    type: string
                    example: success
                  data:
                    title: LeaderboardModelsListData
                    type: object
                    properties:
                      models:
                        type: array
                        items:
                          type: string
                          example: Mistral-7B-Instruct-v0.1
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: apikey

````